Bug 387251 - Some weird communication problem between camera (Canon IXUS 30) and the import program.
Some weird communication problem between camera (Canon IXUS 30) and the impor...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gphoto2 (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
: 457396 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-16 11:58 EST by basilicum
Modified: 2013-07-02 19:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:14:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description basilicum 2007-11-16 11:58:58 EST
Description of problem: Some communication problem between camera (Canon IXUS
30) and the import program.


Version-Release number of selected component (if applicable): 


How reproducible:


Steps to Reproduce:


There are images on the camera, an Canon Ixus 30. The photo import with this
camera worked fine with FC5, FC6 and FC7.

November 16, 2007
Running root, FC8
Connect Camera physically, switch camera on.
Dialogue appears: "Camera Import. There are photos on the camera. Would you
like. . ." I press button "Import Photos". 

Dialogue appears: "Import photos. 
Canon Digital Ixus 30 (normal mode). 
Message: "Loading camera drivers . . .. "
Thereafter Message: "Camera not ready, multiple 'Identify camera' requests
failed: OS error in camera communication"

I click the camera icon. Dialogue appears "Camera Model". I select "Canon
Digital IXUS". Press OK. 
Dialogue "Import Photos".
Camera icon with "Canon Digital IXUS".
Message: "An error occurred in the io-library ('Bad parameters'): Could not find
USB device (vendor 0x4a9, product 0x3047). Make sure this device is connected to
the computer."


I click the camera icon. Dialogue appears "Camera Model". I select "Canon
Digital IXUS 30 (normal mode). Press OK. 
Dialogue "Import Photos".
Camera icon with "Canon Digital IXUS 30 (normal mode)".
Message: "No images found"
  
Actual results:

No communication

Expected results:
Communicatio, starting the next module of photo import.

Additional info:
1) From fedora forum:
i too have this problem with a Canon A460 ... looks a recurrence of something
previous I had in FC5

edit 50-udev.rules

find the lines as follws and change mode 0644 to 0666.

SUBSYSTEM=="usb", ACTION=="add", ENV{DEVTYPE}=="usb_device", \
NAME="bus/usb/$env{BUSNUM}/$env{DEVNUM}", MODE="0644"

ACTION=="add", SUBSYSTEM=="usb_device", \
PROGRAM="/bin/sh -c 'K=%k; K=$${K#usbdev}; printf bus/usb/%%03i/%%03i
$${K%%%%.*} $${K#*.}'", \
NAME="%c", MODE="0644"



2) From Fedora list:
I got the advice to submit a bug report.



I am a newbie to bugzilla, so please mail me if yuo like more info. 
Thanks.
Comment 1 Jindrich Novy 2008-08-03 15:58:26 EDT
Many of Canon related fixes were made in the 2.4.2 gphoto2/libgphoto2 release, which is currently in rawhide. I bet it's fixed there :)
Comment 2 Tony Arie Kolev 2008-08-10 06:38:51 EDT
(In reply to comment #1)
> Many of Canon related fixes were made in the 2.4.2 gphoto2/libgphoto2 release,
> which is currently in rawhide. I bet it's fixed there :)

Hello, I have a similar problem, described in:

https://bugzilla.redhat.com/show_bug.cgi?id=457396

Yes, I tried it, just one thing needed to be explicit mentioned:
Requirements for gphoto2 to be meet, extra 100 packages is needed to update/install from rawhide. After all communication with Canon camera surprised me and worked just like it must be. Ok, now nautilus fails to start, because of library symbol missing:

nautilus

(nautilus:15829): GVFS-RemoteVolumeMonitor-WARNING **: invoking IsSupported() failed for remote volume monitor with dbus name org.gtk.Private.HalVolumeMonitor: org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 127
Initializing nautilus-image-converter extension
nautilus: symbol lookup error: /usr/lib/gio/modules/libgvfsdbus.so: undefined symbol: g_set_error_literal

Now I am trying to fix it by applying another 800 packages from rawhide.

Thanks.
Comment 3 Tony Arie Kolev 2008-08-10 06:42:25 EDT
*** Bug 457396 has been marked as a duplicate of this bug. ***
Comment 4 Bug Zapper 2008-11-26 03:30:19 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 00:14:27 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.